Bug 704486 - [apache] Warnings about unknown modules logged too frequently
[apache] Warnings about unknown modules logged too frequently
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
3.0.1
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks: 753904 753929
  Show dependency treegraph
 
Reported: 2011-05-13 06:32 EDT by Lukas Krejci
Modified: 2013-09-02 03:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 769951 (view as bug list)
Environment:
Last Closed: 2013-09-02 03:21:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukas Krejci 2011-05-13 06:32:43 EDT
Description of problem:

Each time the apache server discovery component runs discovery, it logs a warning about each module it doesn't know the mapping for for each IfModule directive it encounters during config files parsing.

This is too frequent and fills the log with hundreds of warnings if there are more apache instances monitored.

Version-Release number of selected component (if applicable):
3.0.1 as of commit 5e55fb232d2496961477debd9d5eaf94837d69d4

How reproducible:
always

Steps to Reproduce:
1. Have 10+ apache instances running, each using an IfModule directive with a non-standard module that has not been loaded (for testing purposes "blahblah" can be used for example)
2. Run discovery
  
Actual results:
a large number of warnings in the log about unknown modules

Expected results:
The warning issued at most once per agent/plugin lifetime.

Additional info:
Comment 1 Lukas Krejci 2011-05-13 08:26:17 EDT
commit 8f9c9e4d7665a8c83f16081590a4704a3d55a6ae
Author: Lukas Krejci <lkrejci@redhat.com>
Date:   Fri May 13 12:47:52 2011 +0200

    BZ 704486 - Improving the logging behavior of the unknown apache modules.
    These are now reported as warnings whenever a configuration is
    read/updated or an operation requiring reading the configuration
    is invoked.
    The periodical discoveries only report the unknown modules once
    per plugin lifetime.
    When processing IfModule directive, the module is now assumed not loaded
    if the the directive uses the module name (as opposed to module source
    file) and we can't find the corresponding LoadModule directive.
    The warnings are therefore only issued when the IfModule using
    the module source file AND we don't know the mapping between module name
    and module source file.
Comment 2 Mike Foley 2011-10-03 13:54:57 EDT
verified 10/3/2011 build.
Comment 3 Heiko W. Rupp 2013-09-02 03:21:06 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.